(function (window) {
    var defaultConfig = {
        contentId: 'prontusPlayer',  // Id del Div que contiene el player.
        player: {
            autoPlay: false,    //habilita la reproducción automática
            adEnable: false,    //habilita la publicidad
            volume: 100,    //volumen inicial del player
            seek: 10,   //tiempo en segundo para los saltos relativos
            forcePlayer: false, //permite forzar el player por defecto en caso contrario se implementara el player html5 solo en dispositivos moviles.
            defaultPlayer: "html5", //player por defecto puede ser flash o html5
            forceSize: true,    //fuerza el tamaño del player
            width: "100%",     //ancho del player
            height: "100%",    //alto del player
            pseudoStreaming:true,  //habilita el pseudistreaming en flash
            showPanelOnComplete: "share", // permite identificar que panel se muestra al finalizar el video puede ser "related" o "share"
            image: "/prontus/front/prontusPlayer/img/prontus-player-bg640x360.jpg", // Poster por defecto
        },
        externalApi: {
            enable: false,
            validRequestsOrigins: []
        },
        ads: {
            adInfoMsg: "La publicidad finaliza en __TIME__ segundos.", //mensaje que se muestra mientras se reproduce el pre-roll (__TIME__ es marca reservada que se reemplaza con el tiempo restante en segundos)
            adVideoTag: "", //url vast pre-roll
            adBannerTag: "", //url vast overlay
            adBannerInterval: 120000,   // [ms] intervalo de tiempo para la aparición del overlay
            overlayDelay: 10000,    // [ms] delay entre el fin del preroll y el inicio del overlay (si no hay preroll, corresponde al delay en relación al inicio del video)
            overlayAutoHideDelay: 20000     //[ms] tiempo para que se auto oculte el overlay
        },
        share: {
            enableShare: false,     //habilita el panel de compartir
            shareUrl: "shareUrl",   //link a compartir
            embedCode: "embedCode"  //codigo embed a compartir
        }
    };
    window.prontusPlayerConfig = defaultConfig;
})(window);
